Class | Rubygame::MouseDownEvent
In: | lib/rubygame/event.rb
Parent: | Event

Indicates that a mouse button was pressed.

This event has these attributes:

string: | string indicating the button that was pressed ("left","middle", or "right").
pos: | the position of the mouse cursor when the button was pressed, in the form [x,y].
button: | the mouse button that was pressed; one of these constants in module Rubygame (or the corresponding button number):
MOUSE_LEFT: | 1; left mouse button
MOUSE_MIDDLE: | 2; middle mouse button
MOUSE_RIGHT: | 3; right mouse button

### Methods

new

### Attributes

button | [RW] |
pos | [RW] |
string | [RW] |

### Public Class methods

new(pos,button)

[Validate]